Subject: [E3-hacking] Faster Linux boot using PBL ?

From: "Piotr Michniewski" <[email-masked]>
Date: Fri, 22 Sep 2006 02:51:35 +0200

Hi,

I've been thinking of a way to make booting Linux on the E3 a bit
faster. Since NAND ready bit is a bit "broken" in u-boot, I think we
could use the fact that PBL copies some NAND into SDRAM anyway. But
the question is: how can we "trick" PBL, so that it starts to copy the
Flash earlier than 4M ? Because I don't like wasting another few MB of
user space in the upper 4M region... Or maybe there is a way to
"combine" two blocks of MTD into one ?

-- 
Piotr Michniewski